Represents an [[AsyncIterable]] that is inherently ordered.

### Type parameters

- T

### Hierarchy

- AsyncIterable<T>
  - AsyncOrderedIterable
    - AsyncOrderedHierarchyIterable

### Implemented by

- AsyncFromSyncOrderedHierarchyIterable
- AsyncFromSyncOrderedIterable
- AsyncOrderByIterable
- AsyncOrderedQuery

## Index

### Properties

- thenByAsync

### Methods

- [AsyncOrderedIterable.thenByAsync]
- [Symbol.asyncIterator]

## Properties

### thenByAsync

thenByAsync: unique symbol = Symbol.for("AsyncOrderedIterable.thenByAsync")

- Defined in types.ts:198

## Methods

### [AsyncOrderedIterable.thenByAsync]

- [AsyncOrderedIterable.thenByAsync]<K>(keySelector: function, comparer: Comparison<K> | Comparer<K>, descending: boolean): AsyncOrderedIterable<T>

- - Defined in types.ts:194

  Creates a subsequent `AsyncOrderedIterable` whose elements are also ordered by the provided key.

  #### Type parameters

  - K

  #### Parameters

  - keySelector: function —

    A callback used to select the key for an element.

    - - (element: T): K

      - A callback used to select the key for an element.

        #### Parameters

        - element: T

        #### Returns K

  - comparer: Comparison<K> | Comparer<K> —

    An optional callback used to compare two keys.

  - descending: boolean —

    A value indicating whether to sort in descending (`true`) or ascending (`false`) order.

  #### Returns AsyncOrderedIterable<T>

### [Symbol.asyncIterator]

- [Symbol.asyncIterator](): AsyncIterator<T>

- Inherited from AsyncIterable.[Symbol.asyncIterator]

  - Defined in C:/dev/iterable-query/node_modules/typescript/lib/lib.es2018.asynciterable.d.ts:39

  #### Returns AsyncIterator<T>

Generated using TypeDoc